%% Setting up global variables
global HS_GRAD COLLEGE_GRAD
HS_GRAD=12;
COLLEGE_GRAD=16;

%% Setting initial num_valid_obs
num_valid_obs=0;

%% Populating specifications

if iv_outcome==1 % IV given S1
    populate_iv_case14;
elseif iv_outcome==2 % IV given S1 using proxy log(IQ)
    raw_iq_kww=raw_iq;
    populate_iv_case23;
elseif iv_outcome==3 % IV given S1 using proxy log(KWW)
    raw_iq_kww=raw_kww;
    populate_iv_case23; 
elseif iv_outcome==4 % IV nearc4*parenteduc given S1 and nearc4
    populate_iv_case14;
elseif iv_outcome==5 % IV nearc4*parenteduc given S1 and nearc4; Using Proxy log(IQ)
    raw_iq_kww=raw_iq;
    populate_iv_case56;
elseif iv_outcome==6 % IV nearc4*parenteduc given S1 and nearc4; Using Proxy log(KWW)
    raw_iq_kww=raw_kww;
    populate_iv_case56; 
elseif iv_outcome==13 % IV given S1 and log(KWW)
    raw_iq_kww=raw_kww;
    populate_iv_case1314;
elseif iv_outcome==14 % IV nearc4*parenteduc given S1, nearc4, and log(KWW)
    raw_iq_kww=raw_kww;
    populate_iv_case1314;

end