%% Setting up global variables
global HS_GRAD COLLEGE_GRAD
HS_GRAD=12;
COLLEGE_GRAD=16;

%% Settign num_valid_obs
num_valid_obs=0;

%% Populating specifications

if sub_u_2sls_outcome==1 % 2sls (Given S1, instrument for lKWW: interaction of educ exper expersq black with S1)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case1;
elseif sub_u_2sls_outcome==2 % 2sls (Given S1, instrument for educ exper expersq black lKWW: interaction of educ exper expersq black with S1)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case2;
elseif sub_u_2sls_outcome==3 % 2sls (Given S1, instrument for lKWW: interaction of educ exper expersq black with S1 and low parental educ)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case3; 
elseif sub_u_2sls_outcome==4 % 2sls (Given S1, instrument for educ exper expersq black lKWW: interaction of educ exper expersq black with S1 and low parental educ)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case4;
elseif sub_u_2sls_outcome==5 % 2sls (Given GS, instrument for lKWW: interaction of educ exper expersq black with S1)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case5; 
elseif sub_u_2sls_outcome==6 % 2sls (Given GS, instrument for educ exper expersq black lKWW: interaction of educ exper expersq black with S1)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case6;
elseif sub_u_2sls_outcome==7 % 2sls (Given GS, instrument for lKWW: interaction of educ exper expersq black with S1 and low parental educ)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case7; 
elseif sub_u_2sls_outcome==8 % 2sls (Given GS, instrument for educ exper expersq black lKWW: interaction of educ exper expersq black with S1 and low parental educ)
    raw_iq_kww=raw_kww;
    populate_sub_u_2sls_data_case8; 
end