num_valid_parent_edu=0;
num_valid_dad_edu=0;
num_valid_mom_edu=0;
sum_valid_dad_edu=0;
sum_valid_mom_edu=0;


for k=1:num_valid_obs
    if dad_edu(k)~=-1
        num_valid_dad_edu=num_valid_dad_edu+1;
        sum_valid_dad_edu=sum_valid_dad_edu+dad_edu(k);
    end
    if mom_edu(k)~=-1
        num_valid_mom_edu=num_valid_mom_edu+1;
        sum_valid_mom_edu=sum_valid_mom_edu+mom_edu(k);
    end
    if dad_edu(k)~=-1 && mom_edu(k)~=-1
        num_valid_parent_edu=num_valid_parent_edu+1;
    end
end

avg_valid_dad_edu=sum_valid_dad_edu/num_valid_dad_edu;
avg_valid_mom_edu=sum_valid_mom_edu/num_valid_mom_edu;

imputed=1;
nonimputed=0;

for k=1:num_valid_obs
    %% populating x(:,16:17) and z(:,28)
    if dad_edu(k)==-1 %father education is imputed
        x(k,16)=avg_valid_dad_edu;
        x(k,17)=imputed;
        z(k,16)=avg_valid_dad_edu;
        z(k,17)=imputed;        
    else %father education is not imputed
        x(k,16)=dad_edu(k);
        x(k,17)=nonimputed;
        z(k,16)=dad_edu(k);
        z(k,17)=nonimputed;        
    end
    
    if mom_edu(k)==-1 %mother education is imputed
        z(k,28)=avg_valid_mom_edu;
    else %mother education is not imputed
        z(k,28)=mom_edu(k);
    end
    
    %% populating x(:,18:25) and z(:,18:25)
    if x(k,16)<HS_GRAD % father: hs dropout
        if z(k,28)>=HS_GRAD && z(k,28)<COLLEGE_GRAD % mother: hs degree
            x(k,18)=1;
            z(k,18)=1;            
        elseif z(k,28)>=COLLEGE_GRAD % mother: college grad
            x(k,19)=1;
            z(k,19)=1;            
        end
    elseif x(k,16)>=HS_GRAD && x(k,16)<COLLEGE_GRAD % father: hs degree
        if z(k,28)<HS_GRAD % mother: hs dropout
            x(k,20)=1;
            z(k,20)=1;            
        elseif z(k,28)>=HS_GRAD && z(k,28)<COLLEGE_GRAD % mother: hs degree
            x(k,21)=1;
            z(k,21)=1;            
        else % mother: college grad
            x(k,22)=1;
            z(k,22)=1;            
        end
    else % father: college grad
        if z(k,28)<HS_GRAD % mother: hs dropout
            x(k,23)=1;
            z(k,23)=1;            
        elseif z(k,28)>=HS_GRAD && z(k,28)<COLLEGE_GRAD % mother: hs degree
            x(k,24)=1;
            z(k,24)=1;            
        else % mother: college grad
            x(k,25)=1;
            z(k,25)=1;            
        end
    end
end
