%% Setting up global variables
global HS_GRAD COLLEGE_GRAD
HS_GRAD=12;
COLLEGE_GRAD=16;

%% Settign num_valid_obs
num_valid_obs=0;

%% Populating specifications

if sub_u_iv_outcome==1 % IV (Given S1, instrument motheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case1;
elseif sub_u_iv_outcome==2 % IV (Given S1, instruments nearc4, age, age2, motheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case2;
elseif sub_u_iv_outcome==3 % IV (Given S1, instrument fatheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case3; 
elseif sub_u_iv_outcome==4 % IV (Given S1, instruments nearc4, age, age2, fatheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case4;
elseif sub_u_iv_outcome==5 % IV (Given GS, instrument motheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case5; 
elseif sub_u_iv_outcome==6 % IV (Given GS, instruments nearc4, age, age2, motheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case6;
elseif sub_u_iv_outcome==7 % IV (Given GS, instrument fatheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case7; 
elseif sub_u_iv_outcome==8 % IV (Given GS, instruments nearc4, age, age2, fatheduc)
    raw_iq_kww=raw_kww;
    populate_sub_u_iv_data_case8; 
end