if outcome==1
    case_title='OLS (given S1)';
    case_summary='linear OLS';
elseif outcome==2
    case_title='Proxy log of IQ (given S1)';
    case_summary='excludes missing IQ obs';
elseif outcome==3
    case_title='Proxy log of KWW (given S1)';
    case_summary='excludes missing KWW obs';    
elseif outcome==4
    case_title='OLS (given GS)';
    case_summary='imputes parental edu';
elseif outcome==5
    case_title='Proxy log of IQ (given GS)';
    case_summary='excludes missing IQ obs; imputes parental edu';
elseif outcome==6
    case_title='Proxy log of KWW (given GS)'; 
    case_summary='excludes missing KWW obs; imputes parental edu';
    
elseif outcome==7
    case_title='OLS (given S1) | add interaction term (Educ-12)*Black';
    case_summary='linear OLS';
elseif outcome==8
    case_title='Proxy log of IQ (given S1) | add interaction term (Educ-12)*Black';
    case_summary='excludes missing IQ obs';
elseif outcome==9
    case_title='Proxy log of KWW (given S1) | add interaction term (Educ-12)*Black';
    case_summary='excludes missing KWW obs';    
elseif outcome==10
    case_title='OLS (given GS) | add interaction term (Educ-12)*Black';
    case_summary='imputes parental edu';
elseif outcome==11
    case_title='Proxy log of IQ (given GS) | add interaction term (Educ-12)*Black';
    case_summary='excludes missing IQ obs; imputes parental edu';
elseif outcome==12
    case_title='Proxy log of KWW (given GS) | add interaction term (Educ-12)*Black'; 
    case_summary='excludes missing KWW obs; imputes parental edu';

elseif outcome==13
    case_title='OLS (given S1) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.';
    case_summary='nonlinear OLS';
elseif outcome==14
    case_title='Proxy log of IQ (given S1) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.';
    case_summary='excludes missing IQ obs';
elseif outcome==15
    case_title='Proxy log of KWW (given S1) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.';
    case_summary='excludes missing KWW obs';
    graph_case_title1='Graph 1: Year-Specific Incremental Return to Education Conditioning on Location under Magnitude and Sign Restrictions on Confounding';
    graph_case_title2='Graph 2: Year-Specific Incremental Return to Education Conditioning on Location under Magnitude Restriction on Confounding';
    graph_case_title3='Graph 1: Year-Specific Incremental Return to Education Conditioning on Location under Restrictions on Confounding'; 
elseif outcome==16
    case_title='OLS (given GS) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.';
    case_summary='imputes parental edu';
elseif outcome==17
    case_title='Proxy log of IQ (given GS) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.';
    case_summary='excludes missing IQ obs; imputes parental edu';
elseif outcome==18
    case_title='Proxy log of KWW (given GS) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18.'; 
    case_summary='excludes missing KWW obs; imputes parental edu';
    graph_case_title1='Graph 1: Year-Specific Incremental Return to Education Conditioning on Covariates under Magnitude and Sign Restrictions on Confounding';
    graph_case_title2='Graph 2: Year-Specific Incremental Return to Education Conditioning on Covariates under Magnitude Restriction on Confounding';
    graph_case_title3='Graph 1: Year-Specific Incremental Return to Education Conditioning on Covariates under Restrictions on Confounding'; 

elseif outcome==19
    case_title='OLS (given S1) | Condition on log(KWW)'; 
    case_summary='excludes missing KWW obs'; 
elseif outcome==20
    case_title='OLS (given GS) | Condition on log(KWW)'; 
    case_summary='excludes missing KWW obs; imputes parental edu';   
elseif outcome==21
    case_title='OLS (given GS) of lKWW on GX | Condition on lwage'; 
    case_summary='excludes missing KWW obs; imputes parental edu; used for measurement error bound';
elseif outcome==22
    case_title='OLS (given S1) | add interaction term (Educ-12)*Black | Condition on log(KWW)';
    case_summary='linear OLS; excludes missing KWW obs'; 
elseif outcome==23
    case_title='OLS (given GS) | add interaction term (Educ-12)*Black | Condition on log(KWW)';
    case_summary='linear OLS; excludes missing KWW obs; imputes parental edu';
elseif outcome==24
    case_title='OLS (given S1) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18 | Condition on log(KWW)';
    case_summary='linear OLS; excludes missing KWW obs'; 
elseif outcome==25
    case_title='OLS (given GS) | replace Educ with binary indicators 1{Educ>=j} for j=2,,18 | Condition on log(KWW)';
    case_summary='linear OLS; excludes missing KWW obs; imputes parental edu';
end