num_valid_parent_edu=0;
num_valid_dad_edu=0;
num_valid_mom_edu=0;
sum_valid_dad_edu=0;
sum_valid_mom_edu=0;

for k=1:num_valid_obs
    if dad_edu(k)~=-1
        num_valid_dad_edu=num_valid_dad_edu+1;
        sum_valid_dad_edu=sum_valid_dad_edu+dad_edu(k);
    end
    if mom_edu(k)~=-1
        num_valid_mom_edu=num_valid_mom_edu+1;
        sum_valid_mom_edu=sum_valid_mom_edu+mom_edu(k);
    end
    if dad_edu(k)~=-1 && mom_edu(k)~=-1
        num_valid_parent_edu=num_valid_parent_edu+1;
    end
end

avg_valid_dad_edu=sum_valid_dad_edu/num_valid_dad_edu;
avg_valid_mom_edu=sum_valid_mom_edu/num_valid_mom_edu;

for k=1:num_valid_obs
    %% populating x(:,32:35)
    if dad_edu(k)==-1 %father education is imputed
        x(k,32)=avg_valid_dad_edu;
        x(k,33)=1;
    else %father education is not imputed
        x(k,32)=dad_edu(k);
        x(k,33)=0;
    end
    
    if mom_edu(k)==-1 %mother education is imputed
        x(k,34)=avg_valid_mom_edu;
        x(k,35)=1;
    else %mother education is not imputed
        x(k,34)=mom_edu(k);
        x(k,35)=0;
    end
    
    %% populating x(:,36:43)
    if x(k,32)<HS_GRAD % father: hs dropout
        if x(k,34)>=HS_GRAD && x(k,34)<COLLEGE_GRAD % mother: hs degree
            x(k,36)=1;
        elseif x(k,34)>=COLLEGE_GRAD % mother: college grad
            x(k,37)=1;
        end
    elseif x(k,32)>=HS_GRAD && x(k,32)<COLLEGE_GRAD % father: hs degree
        if x(k,34)<HS_GRAD % mother: hs dropout
            x(k,38)=1;
        elseif x(k,34)>=HS_GRAD && x(k,34)<COLLEGE_GRAD % mother: hs degree
            x(k,39)=1;
        else % mom: college grad
            x(k,40)=1;
        end
    else % father: college grad
        if x(k,34)<HS_GRAD % mom: hs dropout
            x(k,41)=1;
        elseif x(k,34)>=HS_GRAD && x(k,34)<COLLEGE_GRAD % mom hs degree
            x(k,42)=1;
        else % mother: college grad
            x(k,43)=1;
        end
    end
end