length_x=29;
num_valid_obs=0;
%% excluding data that are missing IQ
exclusion_vec=zeros(1,num_raw_obs);
for k=1:num_raw_obs
    if raw_iq_kww(k)==-1
        exclusion_vec(k)=1;
    else
        num_valid_obs=num_valid_obs+1;
    end
end

x=zeros(num_valid_obs,length_x);
y=zeros(num_valid_obs,1);
w=zeros(num_valid_obs,1);
dad_edu=zeros(num_valid_obs,1);
mom_edu=zeros(num_valid_obs,1);

p=0;
for k=1:num_raw_obs
    if exclusion_vec(k)==0
        p=p+1;
        x(p,1:15)=raw_x(k,1:15);
        dad_edu(p)=raw_x(k,16);
        mom_edu(p)=raw_x(k,17);
        x(p,28:29)=raw_x(k,18:19); % family structure
        y(p)=raw_lwage(k);
        w(p)=log(raw_iq_kww(k));
    end
end

%% imputing Parental education and populating x
impute_parental_edu;