%% Setting up global variables
global HS_GRAD COLLEGE_GRAD
HS_GRAD=12;
COLLEGE_GRAD=16;

%% Settign initial num_valid_obs
num_valid_obs=0;

%% Populating the specification 

if iv_outcome==7 % IV nearc4 IV; (given GS)
    populate_iv_case710;
elseif iv_outcome==8 % IV nearc4 IV; proxy of log of IQ (given GS)
    raw_iq_kww=raw_iq;
    populate_iv_case89;
elseif iv_outcome==9 % IV nearc4 IV; proxy log of KWW (given GS)
    raw_iq_kww=raw_kww;
    populate_iv_case89; 
elseif iv_outcome==10 % IV nearc4*parenteduc IV (given GS plus nearc4)
    populate_iv_case710;
elseif iv_outcome==11 % IV nearc4*parenteduc IV; proxy log of IQ (given GS plus nearc4)
    raw_iq_kww=raw_iq;
    populate_iv_case1112;
elseif iv_outcome==12 % IV nearc4*parenteduc IV; proxy log of KWW (given GS plus nearc4)
    raw_iq_kww=raw_kww;
    populate_iv_case1112; 
elseif iv_outcome==15 % IV nearc4 IV; (given GS and log(KWW))
    raw_iq_kww=raw_kww;
    populate_iv_case1516;
elseif iv_outcome==16 % IV nearc4*parenteduc IV (given GS plus nearc4 and log(KWW))
    raw_iq_kww=raw_kww;
    populate_iv_case1516;
    
end