
% Computing average education
num_valid_dad_edu=0;
num_valid_mom_edu=0;
sum_valid_dad_edu=0;
sum_valid_mom_edu=0;


for k=1:num_valid_obs
    if dad_edu(k)~=-1
        num_valid_dad_edu=num_valid_dad_edu+1;
        sum_valid_dad_edu=sum_valid_dad_edu+dad_edu(k);
    end
    if mom_edu(k)~=-1
        num_valid_mom_edu=num_valid_mom_edu+1;
        sum_valid_mom_edu=sum_valid_mom_edu+mom_edu(k);
    end
end 

avg_valid_dad_edu=sum_valid_dad_edu/num_valid_dad_edu;
avg_valid_mom_edu=sum_valid_mom_edu/num_valid_mom_edu;

% Imputing parental education variables
motheduc_imp=zeros(num_valid_obs,1);
fatheduc_imp=zeros(num_valid_obs,1);

for k=1:num_valid_obs
    %% imputing parental education
    if dad_edu(k)==-1 %father education is imputed
        fatheduc_imp(k,1)=avg_valid_dad_edu;
    else %father education is not imputed
        fatheduc_imp(k,1)=dad_edu(k);
    end         
    
    if mom_edu(k)==-1 %mother education is imputed
        motheduc_imp(k,1)=avg_valid_mom_edu;
    else %mother education is not imputed
        motheduc_imp(k,1)=mom_edu(k);
    end
end 

% Generating parental education indicator
peduc_ind=zeros(num_valid_obs,1);

for k=1:num_valid_obs
    %% populating x(:,16:19) and z(:,16:19)
    if fatheduc_imp(k,1)<12 && motheduc_imp(k,1)<12
       peduc_ind(k)=1;
    end
end 

for k=1:num_valid_obs
    %% populating binary s1 indicators
    z(k,19)=x(k,1).*peduc_ind(k);
    z(k,20)=x(k,2).*peduc_ind(k);
    z(k,21)=x(k,3).*peduc_ind(k);
    z(k,22)=x(k,4).*peduc_ind(k);
   
end
