num_valid_dad_edu=0;
num_valid_mom_edu=0;
sum_valid_dad_edu=0;
sum_valid_mom_edu=0;


for k=1:num_valid_obs
    if dad_edu(k)~=-1
        num_valid_dad_edu=num_valid_dad_edu+1;
        sum_valid_dad_edu=sum_valid_dad_edu+dad_edu(k);
    end
    if mom_edu(k)~=-1
        num_valid_mom_edu=num_valid_mom_edu+1;
        sum_valid_mom_edu=sum_valid_mom_edu+mom_edu(k);
    end
    
end

avg_valid_dad_edu=sum_valid_dad_edu/num_valid_dad_edu;
avg_valid_mom_edu=sum_valid_mom_edu/num_valid_mom_edu;

imputed=1;
nonimputed=0;

for k=1:num_valid_obs
    %% populating x(:,16:19) and z(:,16:19)
    if dad_edu(k)==-1 %father education is imputed
        x(k,16)=avg_valid_dad_edu;
        x(k,17)=imputed;
        z(k,16)=avg_valid_dad_edu;
        z(k,17)=imputed;        
    else %father education is not imputed
        x(k,16)=dad_edu(k);
        x(k,17)=nonimputed;
        z(k,16)=dad_edu(k);
        z(k,17)=nonimputed;        
    end
    
    if mom_edu(k)==-1 %mother education is imputed
        x(k,18)=avg_valid_mom_edu;
        x(k,19)=imputed;
        z(k,18)=avg_valid_mom_edu;
        z(k,19)=imputed;        
    else %mother education is not imputed
        x(k,18)=mom_edu(k);
        x(k,19)=nonimputed;
        z(k,18)=mom_edu(k);
        z(k,19)=nonimputed;        
    end
    
    %% populating x(:,20:27) and z(:,20:27)
    if x(k,16)<HS_GRAD % father: hs dropout
        if x(k,18)>=HS_GRAD && x(k,18)<COLLEGE_GRAD % mother: hs degree
            x(k,20)=1;
            z(k,20)=1;            
        elseif x(k,18)>=COLLEGE_GRAD % mother: college grad
            x(k,21)=1;
            z(k,21)=1;            
        end
    elseif x(k,16)>=HS_GRAD && x(k,16)<COLLEGE_GRAD % father: hs degree
        if x(k,18)<HS_GRAD % mother: hs dropout
            x(k,22)=1;
            z(k,22)=1;            
        elseif x(k,18)>=HS_GRAD && x(k,18)<COLLEGE_GRAD % mother: hs degree
            x(k,23)=1;
            z(k,23)=1;            
        else % mother: college grad
            x(k,24)=1;
            z(k,24)=1;            
        end
    else % father: college grad
        if x(k,18)<HS_GRAD % mother: hs dropout
            x(k,25)=1;
            z(k,25)=1;            
        elseif x(k,18)>=HS_GRAD && x(k,18)<COLLEGE_GRAD % mom hs degree
            x(k,26)=1;
            z(k,26)=1;            
        else % mother: college grad
            x(k,27)=1;
            z(k,27)=1;            
        end
    end
end

% Generating parental education indicator
peduc_ind=zeros(num_valid_obs,1);

for k=1:num_valid_obs
    %% populating x(:,16:19) and z(:,16:19)
    if x(k,16)<12 && x(k,18)<12
       peduc_ind(k)=1;
    end
end 
 

for k=1:num_valid_obs
    %% populating binary parental indicators
    z(k,42)=x(k,1).*peduc_ind(k);
    z(k,43)=x(k,2).*peduc_ind(k);
    z(k,44)=x(k,3).*peduc_ind(k);
    z(k,45)=x(k,4).*peduc_ind(k);
   
end
