% 2sls (Given S1, instruments for educ exper expersq black lKWW: interaction of educ exper expersq black with S1)

%Generating the S1 indicators
s1_ind=zeros(num_raw_obs,4);

for k=1:num_raw_obs
    %% populating binary s1 indicators
    if raw_x(k,5)==0 && raw_x(k,6)==0 
        s1_ind(k,1)=1;
    elseif raw_x(k,5)==0 && raw_x(k,6)==1 
        s1_ind(k,2)=1;
    elseif raw_x(k,5)==1 && raw_x(k,6)==0 
        s1_ind(k,3)=1;
    else % if raw_x(k,5)==1 && raw_x(k,6)==1 
        s1_ind(k,4)=1;
    end    
end

length_x=7;
length_z=14;

%% excluding data that are missing KWW
exclusion_vec=zeros(1,num_raw_obs);
for k=1:num_raw_obs
    if raw_iq_kww(k)==-1
        exclusion_vec(k)=1;
    else
        num_valid_obs=num_valid_obs+1;
    end
end

x=zeros(num_valid_obs,length_x);
z=zeros(num_valid_obs,length_z);
y=zeros(num_valid_obs,1);

%% Populates x, z, and y, w

p=0;
for k=1:num_raw_obs
    if exclusion_vec(k)==0
        p=p+1;
        x(p,1:6)=raw_x(k,1:6);
        x(p,7)=log(raw_kww(k)); % lKWW

        z(p,1:2)=raw_x(k,5:6);
        z(p,3:5)=raw_x(k,1).*s1_ind(k,2:4);
        z(p,6:8)=raw_x(k,2).*s1_ind(k,2:4);
        z(p,9:11)=raw_x(k,3).*s1_ind(k,2:4);
        z(p,12:14)=raw_x(k,4).*s1_ind(k,2:4);

        y(p)=raw_lwage(k);
    end
end
