
%% Calculating estimates
x_tilde=zeros(num_valid_obs,length_x);
z_tilde=zeros(num_valid_obs,length_z);

    for xcount=1:length_x
        x_tilde(:,xcount)= x(:,xcount)-mean(x(:,xcount));
    end
    
    for zcount=1:length_z
        z_tilde(:,zcount)= z(:,zcount)-mean(z(:,zcount));
    end
    
    
    y_tilde= y-mean(y);
    rho_y_x_tilde= sls_regression(y_tilde, x_tilde, z_tilde);
    eta_y_x_tilde=  y_tilde-x_tilde*rho_y_x_tilde';
    std_y_x_tilde=  sls_get_std_error(x_tilde,z_tilde, eta_y_x_tilde, length_z);
   

fprintf(1,'Number of Observations: %d\n',num_valid_obs);

for betacount=1:length_x
    generate_sub_u_2sls_xlabels;
   
        stderror=std_y_x_tilde(betacount);
        
        c_alpha=norminv(1-(input_alpha/2),0,1);
        lower_ci=rho_y_x_tilde(betacount)-c_alpha*stderror;
        upper_ci=rho_y_x_tilde(betacount)+c_alpha*stderror;
        
        fprintf(1,'%s: R_y_x|z: %d | Std error: %d | CI: [%d %d]\n', xlabel, rho_y_x_tilde(betacount), stderror,lower_ci,upper_ci );
        
end