%% Draw Graphs
if outcome==15
    
    figure;
    plot(9:18, edu_ind_estimates(1,8:17), 'k+');
    hold on;
    plot(9:18, edu_upper_bound(1,8:17), 'bo');   
    hold on;
    plot(9:18, edu_upper_cis(1,8:17), 'bs');      
    hold on;
    plot(9:18, edu_lower_bound(1,8:17), 'bo'); 
    hold on;
    plot(9:18, edu_lower_cis(1,8:17), 'bs');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude and Sign Restrictions', '95% CI under Magnitude and Sign Restrictions','Location', 'SouthEast');
    title(graph_case_title1);
   
    figure;
    plot(9:18, edu_ind_estimates(1,8:17), 'k+');  
    hold on;
    plot(9:18, mag_edu_upper_bound(1,8:17), 'rx');   
    hold on;
    plot(9:18, mag_edu_upper_cis(1,8:17), 'r*');   
    hold on;
    plot(9:18, mag_edu_lower_bound(1,8:17), 'rx'); 
    hold on;
    plot(9:18, mag_edu_lower_cis(1,8:17), 'r*');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude Restriction', '95% CI under Magnitude Restriction','Location', 'SouthEast');
    title(graph_case_title2);
    
    figure;
    plot(9:18, edu_ind_estimates(1,8:17), 'k+');
    hold on;
    plot(9:18, edu_upper_bound(1,8:17), 'bo');   
    hold on;
    plot(9:18, edu_upper_cis(1,8:17), 'bs');   
    hold on;
    plot(9:18, mag_edu_upper_bound(1,8:17), 'rx');   
    hold on;
    plot(9:18, mag_edu_upper_cis(1,8:17), 'r*');   
    hold on;
    plot(9:18, edu_lower_bound(1,8:17), 'bo'); 
    hold on;
    plot(9:18, edu_lower_cis(1,8:17), 'bs');
    hold on;
    plot(9:18, mag_edu_lower_bound(1,8:17), 'rx'); 
    hold on;
    plot(9:18, mag_edu_lower_cis(1,8:17), 'r*');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude and Sign Restrictions', '95% CI under Magnitude and Sign Restrictions','Bounds under Magnitude Restriction', '95% CI under Magnitude Restriction','Location', 'SouthEast');
    title(graph_case_title3);

elseif outcome==18
    
    figure;
    plot(9:18, edu_ind_estimates(2,8:17), 'k+');
    hold on;
    plot(9:18, edu_upper_bound(2,8:17), 'bo');   
    hold on;
    plot(9:18, edu_upper_cis(2,8:17), 'bs');      
    hold on;
    plot(9:18, edu_lower_bound(2,8:17), 'bo'); 
    hold on;
    plot(9:18, edu_lower_cis(2,8:17), 'bs');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude and Sign Restrictions', '95% CI under Magnitude and Sign Restrictions','Location', 'SouthEast');
    title(graph_case_title1);
   
    figure;
    plot(9:18, edu_ind_estimates(2,8:17), 'k+');  
    hold on;
    plot(9:18, mag_edu_upper_bound(2,8:17), 'rx');   
    hold on;
    plot(9:18, mag_edu_upper_cis(2,8:17), 'r*');   
    hold on;
    plot(9:18, mag_edu_lower_bound(2,8:17), 'rx'); 
    hold on;
    plot(9:18, mag_edu_lower_cis(2,8:17), 'r*');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude Restriction', '95% CI under Magnitude Restriction','Location', 'SouthEast');
    title(graph_case_title2);
    
    figure;
    plot(9:18, edu_ind_estimates(2,8:17), 'k+');
    hold on;
    plot(9:18, edu_upper_bound(2,8:17), 'bo');   
    hold on;
    plot(9:18, edu_upper_cis(2,8:17), 'bs');   
    hold on;
    plot(9:18, mag_edu_upper_bound(2,8:17), 'rx');   
    hold on;
    plot(9:18, mag_edu_upper_cis(2,8:17), 'r*');   
    hold on;
    plot(9:18, edu_lower_bound(2,8:17), 'bo'); 
    hold on;
    plot(9:18, edu_lower_cis(2,8:17), 'bs');
    hold on;
    plot(9:18, mag_edu_lower_bound(2,8:17), 'rx'); 
    hold on;
    plot(9:18, mag_edu_lower_cis(2,8:17), 'r*');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Bounds under Magnitude and Sign Restrictions', '95% CI under Magnitude and Sign Restrictions','Bounds under Magnitude Restriction', '95% CI under Magnitude Restriction','Location', 'SouthEast');
    title(graph_case_title3);
    

    figure;
    plot(9:18, edu_ind_estimates(2,8:17), 'k+');
    hold on;
    plot(9:18, edu_ind_pp_estimates(1,8:17), 'k*' );
    hold on;
    plot(9:18, edu_upper_bound(2,8:17), 'bo');   
    hold on;
    plot(9:18, edu_upper_cis(2,8:17), 'rs');      
    hold on;
    plot(9:18, edu_lower_bound(2,8:17), 'bo'); 
    hold on;
    plot(9:18, edu_lower_cis(2,8:17), 'rs');
    axis ([8 19 -0.3 0.4]);
    xlabel('Years of Education');
    legend('Regression Estimates', 'Perfect Proxy Estimates', 'Bounds under Magnitude and Sign Restrictions', '95% CI under Magnitude and Sign Restrictions','Location', 'SouthEast');
    title(graph_case_title3); 
end