% This generates the labels for the variables depending on the case number
if outcome<=12 || outcome==20 || outcome==22 || outcome==23
    if betacount<=15
        xlabels=raw_data_labels(raw_x_labels_index(betacount),:);
    elseif betacount==16
        xlabels=raw_data_labels(raw_x_labels_index(16),:);
    elseif betacount==17
        xlabels=[raw_data_labels(raw_x_labels_index(16),:) ' imputed?'];
    elseif betacount==18
        xlabels=raw_data_labels(raw_x_labels_index(17),:);
    elseif betacount==19
        xlabels=[raw_data_labels(raw_x_labels_index(17),:) ' imputed?'];
    elseif betacount==20
        xlabels='dad:hs dropout; mom: hs degree';
    elseif betacount==21
        xlabels='dad:hs dropout; mom: college grad';
    elseif betacount==22
        xlabels='dad: hs degree; mom: hs dropout';
    elseif betacount==23
        xlabels='dad: hs degree; mom: hs degree';
    elseif betacount==24
        xlabels='dad: hs degree; mom: college grad';
    elseif betacount==25
        xlabels='dad: college grad; mom: hs dropout';
    elseif betacount==26
        xlabels='dad: college grad; mom: hs degree';
    elseif betacount==27
        xlabels='dad: college grad; mom: college grad';
    elseif betacount==28 || betacount==29
        xlabels=raw_data_labels(raw_x_labels_index(betacount-10),:);
    elseif betacount==30
        xlabels='log(KWW)';
    end
    
    if betacount==length_x
        if outcome>=7 && outcome<=12
            xlabels=['(' raw_data_labels(raw_x_labels_index(1),:) '-12)*' raw_data_labels(raw_x_labels_index(4),:)];
        elseif outcome>=22 && outcome<=23
            xlabels='log(KWW)';
        end
    end
    
    if betacount==length_x-1
        if outcome>=22 && outcome<=23
            xlabels=['(' raw_data_labels(raw_x_labels_index(1),:) '-12)*' raw_data_labels(raw_x_labels_index(4),:)];
        end
    end
    
elseif outcome==19
    if betacount<=6
        xlabels=raw_data_labels(raw_x_labels_index(betacount),:);
    elseif betacount==7
        xlabels='log(KWW)';
    end
    
elseif outcome==21
    if betacount<=15
        xlabels=raw_data_labels(raw_x_labels_index(betacount),:);
    elseif betacount==16
        xlabels=raw_data_labels(raw_x_labels_index(16),:);
    elseif betacount==17
        xlabels=[raw_data_labels(raw_x_labels_index(16),:) ' imputed?'];
    elseif betacount==18
        xlabels=raw_data_labels(raw_x_labels_index(17),:);
    elseif betacount==19
        xlabels=[raw_data_labels(raw_x_labels_index(17),:) ' imputed?'];
    elseif betacount==20
        xlabels='dad:hs dropout; mom: hs degree';
    elseif betacount==21
        xlabels='dad:hs dropout; mom: college grad';
    elseif betacount==22
        xlabels='dad: hs degree; mom: hs dropout';
    elseif betacount==23
        xlabels='dad: hs degree; mom: hs degree';
    elseif betacount==24
        xlabels='dad: hs degree; mom: college grad';
    elseif betacount==25
        xlabels='dad: college grad; mom: hs dropout';
    elseif betacount==26
        xlabels='dad: college grad; mom: hs degree';
    elseif betacount==27
        xlabels='dad: college grad; mom: college grad';
    elseif betacount==28 || betacount==29
        xlabels=raw_data_labels(raw_x_labels_index(betacount-10),:);
    elseif betacount==30
        xlabels='log(Wage)';
    end
 
    
% Note that 14 is treated differently from 13 and 15 because we only use educ greater than 9,...,18 when using IQ as proxy due to missing observations. 
% A similar comment applies for treating 17 differently from 16 and 18.

elseif outcome==13 || outcome==15 || outcome==24
        if betacount<=17
            xlabels=['educ at least as great as ' num2str(betacount+1)];
        else
            xlabels=raw_data_labels(raw_x_labels_index(betacount-16),:);
        end
        
    if betacount==length_x
        if outcome==24
           xlabels='log(KWW)';
        end
    end    
        
        
elseif outcome==14
        if betacount<=10
            xlabels=['educ at least as great as ' num2str(betacount+8)];
        else
            xlabels=raw_data_labels(raw_x_labels_index(betacount-9),:);
        end
        
elseif outcome==17
        if betacount<=10
            xlabels=['educ at least as great as ' num2str(betacount+8)];
        else
            modified_bc=betacount-9;
            if modified_bc<=15
                xlabels=raw_data_labels(raw_x_labels_index(modified_bc),:);
            elseif modified_bc==16
                xlabels=raw_data_labels(raw_x_labels_index(16),:);
            elseif modified_bc==17
                xlabels=[raw_data_labels(raw_x_labels_index(16),:) ' imputed?'];
            elseif modified_bc==18
                xlabels=raw_data_labels(raw_x_labels_index(17),:);
            elseif modified_bc==19
                xlabels=[raw_data_labels(raw_x_labels_index(17),:) ' imputed?'];
            elseif modified_bc==20
                xlabels='dad:hs dropout; mom: hs degree';
            elseif modified_bc==21
                xlabels='dad:hs dropout; mom: college grad';
            elseif modified_bc==22
                xlabels='dad: hs degree; mom: hs dropout';
            elseif modified_bc==23
                xlabels='dad: hs degree; mom: hs degree';
            elseif modified_bc==24
                xlabels='dad: hs degree; mom: college grad';
            elseif modified_bc==25
                xlabels='dad: college grad; mom: hs dropout';
            elseif modified_bc==26
                xlabels='dad: college grad; mom: hs degree';
            elseif modified_bc==27
                xlabels='dad: college grad; mom: college grad';
            elseif modified_bc==28 || modified_bc==29
                xlabels=raw_data_labels(raw_x_labels_index(modified_bc-10),:);
            end            
        end
        
        
    else % outcome==16 || outcome==18 || outcome==25
        if betacount<=17
            xlabels=['educ at least as great as ' num2str(betacount+1)];
        else
            modified_bc=betacount-16;
            if modified_bc<=15
                xlabels=raw_data_labels(raw_x_labels_index(modified_bc),:);
            elseif modified_bc==16
                xlabels=raw_data_labels(raw_x_labels_index(16),:);
            elseif modified_bc==17
                xlabels=[raw_data_labels(raw_x_labels_index(16),:) ' imputed?'];
            elseif modified_bc==18
                xlabels=raw_data_labels(raw_x_labels_index(17),:);
            elseif modified_bc==19
                xlabels=[raw_data_labels(raw_x_labels_index(17),:) ' imputed?'];
            elseif modified_bc==20
                xlabels='dad:hs dropout; mom: hs degree';
            elseif modified_bc==21
                xlabels='dad:hs dropout; mom: college grad';
            elseif modified_bc==22
                xlabels='dad: hs degree; mom: hs dropout';
            elseif modified_bc==23
                xlabels='dad: hs degree; mom: hs degree';
            elseif modified_bc==24
                xlabels='dad: hs degree; mom: college grad';
            elseif modified_bc==25
                xlabels='dad: college grad; mom: hs dropout';
            elseif modified_bc==26
                xlabels='dad: college grad; mom: hs degree';
            elseif modified_bc==27
                xlabels='dad: college grad; mom: college grad';
            elseif modified_bc==28 || modified_bc==29
                xlabels=raw_data_labels(raw_x_labels_index(modified_bc-10),:);
            elseif modified_bc==30
                xlabels='log(KWW)';
            end            
        end
             
    end
