%% excluding data that are missing KWW/IQ
    num_valid_obs=0;
    
    exclusion_vec=zeros(1,num_raw_obs);
    for k=1:num_raw_obs
        if raw_iq_kww(k)==-1
            exclusion_vec(k)=1;
        else
            num_valid_obs=num_valid_obs+1;
        end
    end
    
if outcome==17
    length_x=38;
    
    x=zeros(num_valid_obs,length_x);
    y=zeros(num_valid_obs,1);
    w=zeros(num_valid_obs,1);
    dad_edu=zeros(num_valid_obs,1);
    mom_edu=zeros(num_valid_obs,1);
    raw_edu=zeros(num_valid_obs,1);
    p=0;
    for k=1:num_raw_obs
        if exclusion_vec(k)==0
            p=p+1;
            raw_edu(p)=raw_x(k,1);
            x(p,11:24)=raw_x(k,2:15);
            dad_edu(p)=raw_x(k,16);
            mom_edu(p)=raw_x(k,17);
            x(p,37:38)=raw_x(k,18:19); % family structure
            y(p)=raw_lwage(k);
            w(p)=log(raw_iq_kww(k));
        end
    end
    
    num_edu_indicators=10;    
    populate_educ_indicators; %1 through 10
    
    %% imputing Parental education and populating x: 25 through 36
    impute_parental_edu17;    


else % outcome==18
    length_x=45;
    
    x=zeros(num_valid_obs,length_x);
    y=zeros(num_valid_obs,1);
    w=zeros(num_valid_obs,1);
    dad_edu=zeros(num_valid_obs,1);
    mom_edu=zeros(num_valid_obs,1);
    raw_edu=zeros(num_valid_obs,1);
    p=0;
    for k=1:num_raw_obs
        if exclusion_vec(k)==0
            p=p+1;
            raw_edu(p)=raw_x(k,1);
            x(p,18:31)=raw_x(k,2:15);
            dad_edu(p)=raw_x(k,16);
            mom_edu(p)=raw_x(k,17);
            x(p,44:45)=raw_x(k,18:19); % family structure
            y(p)=raw_lwage(k);
            w(p)=log(raw_iq_kww(k));
        end
    end
    
    num_edu_indicators=17;    
    populate_educ_indicators; %1 through 17
    
    %% imputing Parental education and populating x: 32 through 43
    impute_parental_edu1618;
end